/*
		SortDragListBox.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.
.		
		Implementation of the class for the zcommand list controls.

*/
#include "stdafx.h"
#include "Cbreak.h"
#include "SortDragListBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSortDragListBox

CSortDragListBox::CSortDragListBox()
{
}

CSortDragListBox::~CSortDragListBox()
{
}


BEGIN_MESSAGE_MAP(CSortDragListBox, CDragListBox)
	//{{AFX_MSG_MAP(CSortDragListBox)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSortDragListBox message handlers

void CSortDragListBox::Dropped(int nSrcIndex, CPoint pt)
{
  extern World the_world;
	extern CCbreakApp theApp;

  CDragListBox::Dropped(nSrcIndex,pt);

	if(nSrcIndex == ItemFromPt(pt,TRUE)) {
		return;
	}
  if(nSrcIndex < GetCount() - 1) {
    the_world.room_list[theApp.dlg->current_room].SwitchZcmds(nSrcIndex,ItemFromPt(pt,TRUE));
	}
    theApp.dlg->m_zedit.LoadZedit();
}

